import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pmu/data/repositories/bbc_repository.dart';
import 'package:pmu/presentation/home_page/bloc/events.dart';
import 'package:pmu/presentation/home_page/bloc/state.dart';

class HomeBloc extends Bloc<HomeEvent,HomeState>{
  final BbcRepository repo;
  HomeBloc(this.repo) : super(const HomeState()){
    on<HomeLoadDataEvent>(_onLoadData);
  }
  // мы должны изменить наше состояние, передаем внутрь новое состояние
  void _onLoadData(HomeLoadDataEvent event, Emitter<HomeState> emit){
    emit(state.copyWith(data: repo.loadData()));
  }
}